# Uses of Interface
com.opensymphony.module.sitemesh.html.rules.PageBuilder

Packages that use PageBuilder
Package
Description
com.opensymphony.module.sitemesh.html.rules
com.opensymphony.module.sitemesh.multipass
com.opensymphony.module.sitemesh.parser

## Uses of PageBuilder in com.opensymphony.module.sitemesh.html.rules

Fields in com.opensymphony.module.sitemesh.html.rules declared as PageBuilder
Modifier and Type
Field
Description
`private final PageBuilder`
BodyTagRule.`page`
`private final PageBuilder`
ContentBlockExtractingRule.`page`
`private final PageBuilder`
FramesetRule.`page`
`private final PageBuilder`
HtmlAttributesRule.`page`
`private final PageBuilder`
MetaTagRule.`page`
`private final PageBuilder`
MSOfficeDocumentPropertiesRule.`page`
`private final PageBuilder`
ParameterExtractingRule.`page`
`private final PageBuilder`
TitleExtractingRule.`page`
Constructors in com.opensymphony.module.sitemesh.html.rules with parameters of type PageBuilder
Modifier
Constructor
Description
``
`BodyTagRule(PageBuilder page, CharArray body)`
``
`ContentBlockExtractingRule(PageBuilder page)`
``
`FramesetRule(PageBuilder page)`
``
`HtmlAttributesRule(PageBuilder page)`
``
`MetaTagRule(PageBuilder page)`
``
`MSOfficeDocumentPropertiesRule(PageBuilder page)`
``
`ParameterExtractingRule(PageBuilder page)`
``
`TitleExtractingRule(PageBuilder page)`

## Uses of PageBuilder in com.opensymphony.module.sitemesh.multipass

Fields in com.opensymphony.module.sitemesh.multipass declared as PageBuilder
Modifier and Type
Field
Description
`private final PageBuilder`
DivExtractingPageParser.TopLevelDivExtractingRule.`page`
Methods in com.opensymphony.module.sitemesh.multipass with parameters of type PageBuilder
Modifier and Type
Method
Description
`protected void`
DivExtractingPageParser.`addUserDefinedRules(State html, PageBuilder page)`
Constructors in com.opensymphony.module.sitemesh.multipass with parameters of type PageBuilder
Modifier
Constructor
Description
``
`TopLevelDivExtractingRule(PageBuilder page)`

## Uses of PageBuilder in com.opensymphony.module.sitemesh.parser

Classes in com.opensymphony.module.sitemesh.parser that implement PageBuilder
Modifier and Type
Class
Description
`class`
`TokenizedHTMLPage`
HTMLPage implementation that builds itself based on the incoming 'tag' and 'text' tokens fed to it from the HTMLTagTokenizer.
Methods in com.opensymphony.module.sitemesh.parser with parameters of type PageBuilder
Modifier and Type
Method
Description
`protected void`
HTMLPageParser.`addUserDefinedRules(State html, PageBuilder page)`